
spring:
  datasource:
    driver-class-name: com.mysql.cj.jdbc.Driver
#    url: jdbc:mysql://rm-bp1b572nblln4jho2.mysql.rds.aliyuncs.com:3306/czg_cashier?useUnicode=true&characterEncoding=utf-8
    url: jdbc:mysql://rm-bp1b572nblln4jho2po.mysql.rds.aliyuncs.com:3306/czg_cashier?useUnicode=true&characterEncoding=utf-8
    username: root
    password: Czg666888

  data:
    redis:
      host: 121.40.109.122
      port: 6379
      password: chaozg123
      timeout: 1000
      database: 3

  cloud:
    nacos:
      discovery:
        server-addr: 121.40.109.122:8848
        namespace: 237e1905-0a66-4375-9bb6-a51c3c034aca
  rabbitmq:
    host: 121.40.109.122
    port: 5672
    username: chaozg
    password: chaozg123



dubbo:
  application:
    name: order-server
    qos-port: 22233
    qos-enable: true
    logger: log4j2
    environment: test
  registry:
    address: nacos://121.40.109.122:8848 # Nacos 服务地址
    group: server-prod
    simplified: true
  protocol:
    port: 10203
    threads: 20
    name: dubbo
    serialization: hessian2


seata:
  application-id: order-server
  tx-service-group: group_seata
  config:
    type: nacos
    nacos:
      server-addr: 121.40.109.122:8848
      namespace:
      group: group_seata
